Storable(3pm)

NAME
PDL::IO::Storable - helper functions to make PDL usable with Storable

SYNOPSIS
  use Storable;
  use PDL::IO::Storable;
  $hash = {
            'foo' => 42,
            'bar' => zeroes(23,45),
          };
  store $hash, 'perlhash.dat';

DESCRIPTION
"Storable" implements object persistence for Perl data structures that can contain arbitrary Perl objects. This module implements the relevant methods to be able to store and retrieve piddles via Storable.

FUNCTIONS

  store
store a piddle using Storable

  $x = random 12,10;
  $x->store('myfile');

  freeze
freeze a piddle using Storable

  $x = random 12,10;
  $frozen = $x->freeze;

AUTHOR
Copyright (C) 2013 Dima Kogan <dima@secretsauce.net> Copyright (C) 2002 Christian Soeller <c.soeller@auckland.ac.nz> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.